SysIdentify

Public Member Functions | Static Public Member Functions | Properties | Private Attributes | List of all members
TwinCatIdent.DataProperties Class Reference

Class for storage target, generator and analysis properties More...

Inheritance diagram for TwinCatIdent.DataProperties:

## Public Member Functions
| DataProperties ()
| Constructor More...
| DataProperties (DataProperties PropData)
| Constructor from DataProperties More...
double | GetScale ()
| Get relevant scale according to ControlMode More...
void | SaveSettingsData (string Path)
| Save settings More...

## Static Public Member Functions
static DataProperties | LoadSettingsData (string Path)
| Load settings data from file to class More...
static DataProperties | LoadProfileData (string Path)
| Load motion profile data from file to class More...

## Properties
string | AmsNetId`[get, set]`
| Get/Set AMS NET ID of target More...
int | AdsPort`[get, set]`
| Get/Set ADS Port of target More...
string | sAdsPort`[get, set]`
| Get/Set ADS Port of target (conversion to/from string) More...
string | PathExtGen`[get, set]`
| Get path into external generator in PLC More...
eUnits | Units`[get, set]`
| Get/Set path into external generator in PLC More...
int | intUnits`[get, set]`
| Get/Set path into external generator in PLC (conversion to/from int) More...
string | NameInputSignal`[get, set]`
| Get name of input signal for identification More...
int | IdInputSignal`[get, set]`
| Get/Set ID of input signal for identification More...
Double | PeriodInputSignal`[get, set]`
| Get/Set period of input signal in seconds[s] More...
string | sPeriodInputSignal`[get, set]`
| Get/Set period of input signal in secondsms More...
uint | LengthInputSignal`[get, set]`
| Get length of input signal (number samples of input signal) More...
UInt16 | CountRepeat`[get, set]`
| Get/Set count repeat of sequence for indentification More...
string | sCountRepeat`[get, set]`
| Get/Set count repeat of sequence for indentification (conversion to/from string) More...
double | AmplitudeInputSignal`[get, set]`
| Get/Set amplitude of input signal [X] More...
string | sAmplitudeInputSignal`[get, set]`
| Get/Set amplitude of input signalX More...
double | AmplAuxMove`[get, set]`
| Amplitude of auxiliary movement [X] (suppression of friction) More...
string | sAmplAuxMove`[get, set]`
| Amplitude of auxiliary movement X More...
double | FreqAuxMove`[get, set]`
| Frequency of auxiliary movement in Hz (suppression of friction) More...
string | sFreqAuxMove`[get, set]`
| Amplitude of auxiliary movement X More...
eControlMode | ControlMode`[get, set]`
| Get/Set Control mode: More...
int | intControlMode`[get, set]`
| Get/Set Control mode: (conversion to/from int) More...
DateTime | DateTimeMd`[get, set]`
| Get/Set date ant time of measuring More...
string | sDateTime`[get, set]`
| Get/Set date ant time of measuring (conversion to/from string) More...
bool | IsLinear`[get, set]`
| Get/Set liner motor type More...
double | xScale`[get, set]`
| Get/Set scale for position mode More...
string | sxScale`[get, set]`
| Get/Set scale for position mode (conversion to/from string) More...
double | vScale`[get, set]`
| Get/Set scale for velocity mode More...
string | svScale`[get, set]`
| Get/Set scale for velocity mode (conversion to/from string) More...
double | FeedConstant`[get, set]`
| Get/Set feed constant More...
string | sFeedConstant`[get, set]`
| Get/Set feed constant (conversion to/from string) More...
double | TaskTime`[get, set]`
| Get/Set cyclus time of PLC task [s] More...
string | sTaskTime`[get, set]`
| Get/Set cyclus time of PLC task ms More...
string | NameAxis`[get, set]`
| Get/Set name of axis More...
double | StepPreTrigger`[get, set]`
| Get/Set pre-trigger time of step response [s] More...
string | sStepPreTrigger`[get, set]`
| Get/Set pre-trigger time of step response s More...
double | StepTime`[get, set]`
| Get/Set duration of step response [s] More...
string | sStepTime`[get, set]`
| Get/Set duration of step response s More...
double | StepInitLevel`[get, set]`
| Get/Set initial level of step response [X] More...
string | sStepInitLevel`[get, set]`
| Get/Set initial level of step response X More...
double | StepFinalLevel`[get, set]`
| Get/Set final level of step response [X] More...
string | sStepFinalLevel`[get, set]`
| Get/Set final level of step response X More...
string | Notes`[get, set]`
| Get/Set Notes More...
int | LengthWindow`[get, set]`
| Get/Set Length of window for computing BodePlot More...
string | sLengthWindow`[get, set]`
| Get/Set length of window for computing BodePlot (conversion to/from string) More...
eModeAnalysis | ModeSpectAnalys`[get, set]`
| Get/Set Mode of spectral analysis for computing BodePlot More...
int | intModeSpectAnalys`[get, set]`
| Get/Set Mode of spectral analysis for computing BodePlot (conversion to/from int) More...
bool | CheckPhaseOverflow`[get, set]`
| Get/Set check phase overflow over +/- 180 degrees More...
int | OffsetIOdata`[get, set]`
| Offset of input/output data. If offset is positive input data are shifted forward. If offset is negative input data are shifted backward. More...
string | sOffsetIOdata`[get, set]`
| Offset of input/output data. If offset is positive input data are shifted forward. If offset is negative input data are shifted backward. (conversion to/from string) More...
double | AllowedPositionRange`[get, set]`
| Allowed position range More...
string | sAllowedPositionRange`[get, set]`
| Allowed position range X More...
bool | EnablePositionRangeCheck`[get, set]`
| Enable position range check More...
Int16 | AllowedTorqueRangeIdent`[get, set]`
| Allowed torque range during identification [°%] More...
string | sAllowedTorqueRangeIdent`[get, set]`
| Allowed torque range during identification % More...
bool | EnableTorqueRangeCheckIdent`[get, set]`
| Enable torque range check during identification More...
Int16 | AllowedTorqueRangeStRes`[get, set]`
| Allowed torque range during step response [°%] More...
string | sAllowedTorqueRangeStRes`[get, set]`
| Allowed torque range during identification % More...
bool | EnableTorqueRangeCheckStRes`[get, set]`
| Enable torque range check during step response More...

## Private Attributes
string | i_AmsNetId
| AMS Net ID of target More...
int | i_AdsPort
| ADS port of target More...
string | i_PathExtGen
| Path to external generator in PLC More...
eUnits | i_Units
| Units More...
string | i_NameInputSignal
| Name of input signal More...
int | i_IdInputSignal
| ID of input signal More...
Double | i_PeriodInputSignal
| Period of input signal More...
uint | i_LengthInputSignal
| Lenght of input signal = number of samples of one period input signal More...
UInt16 | i_CountRepeat
| Count of repeat one period of input signal More...
eControlMode | i_ControlMode
| Control mode More...
double | i_AmplitudeInputSignal
| Amplitude of Input signal More...
double | i_AmplAuxMove
| Amplitude of auxiliary movement [in the appropriate units according to mode control] (suppression of friction) More...
double | i_FreqAuxMove
| Frequency of auxiliary movement in Hz (suppression of friction) More...
DateTime | i_DateTimeMd
| Date and time created new class More...
bool | i_IsLinear
| Is linear motor More...
double | i_xScale
| Scale for position More...
double | i_vScale
| Scale for velocity More...
double | i_FeedConstant
| Feed constant More...
double | i_TaskTime
| Cycle time of PLC task More...
string | i_NameAxis
| Name of axis More...
double | i_StepPreTrigger
| Pre-trigger time in step response [s] More...
double | i_StepTime
| Duration of step response [s] More...
double | i_StepInitLevel
| Initial level of step response [X] More...
double | i_StepFinalLevel
| Final level of step response [X] More...
string | i_Notes
| Notes More...
int | i_LengthWindow
| Length of window for computing BodePlot More...
eModeAnalysis | i_ModeSpectAnalys
| Mode of spectral analysis for computing BodePlot More...
bool | i_CheckPhaseOverflow
| Check phase overflow More...
int | i_OffsetIOdata
| Offset of input/output data. If offset is positive input data are shifted forward. If offset is negative input data are shifted backward. More...
double | i_AllowedPositionRange
| Allowed position range More...
bool | i_EnablePositionRangeCheck
| Enable position range check More...
Int16 | i_AllowedTorqueRangeIdent
| Allowed torque range during identification [°%] More...
bool | i_EnableTorqueRangeCheckIdent
| Enable torque range check during identification More...
Int16 | i_AllowedTorqueRangeStRes
| Allowed torque range during step response [°%] More...
bool | i_EnableTorqueRangeCheckStRes
| Enable torque range check during step response More...

## Detailed Description

Class for storage target, generator and analysis properties

## Constructor & Destructor Documentation

## ◆ DataProperties() [1/2]

TwinCatIdent.DataProperties.DataProperties | ( |  | ) |

Constructor

## ◆ DataProperties() [2/2]

TwinCatIdent.DataProperties.DataProperties | ( | DataProperties | PropData | ) |

Constructor from DataProperties

Parameters

  PropData | Source class

## Member Function Documentation

## ◆ GetScale()

double TwinCatIdent.DataProperties.GetScale | ( |  | ) |

Get relevant scale according to ControlMode

Returns

## ◆ LoadProfileData()

static DataProperties TwinCatIdent.DataProperties.LoadProfileData | ( | string | Path | ) |
| static

Load motion profile data from file to class

Parameters

  Path |

## ◆ LoadSettingsData()

static DataProperties TwinCatIdent.DataProperties.LoadSettingsData | ( | string | Path | ) |
| static

Load settings data from file to class

Parameters

  Path |

## ◆ SaveSettingsData()

void TwinCatIdent.DataProperties.SaveSettingsData | ( | string | Path | ) |

Save settings

Parameters

  Path | Path for new settings file

## Member Data Documentation

## ◆ i_AdsPort

int TwinCatIdent.DataProperties.i_AdsPort
| private

ADS port of target

## ◆ i_AllowedPositionRange

double TwinCatIdent.DataProperties.i_AllowedPositionRange
| private

Allowed position range

## ◆ i_AllowedTorqueRangeIdent

Int16 TwinCatIdent.DataProperties.i_AllowedTorqueRangeIdent
| private

Allowed torque range during identification [°%]

## ◆ i_AllowedTorqueRangeStRes

Int16 TwinCatIdent.DataProperties.i_AllowedTorqueRangeStRes
| private

Allowed torque range during step response [°%]

## ◆ i_AmplAuxMove

double TwinCatIdent.DataProperties.i_AmplAuxMove
| private

Amplitude of auxiliary movement [in the appropriate units according to mode control] (suppression of friction)

## ◆ i_AmplitudeInputSignal

double TwinCatIdent.DataProperties.i_AmplitudeInputSignal
| private

Amplitude of Input signal

## ◆ i_AmsNetId

string TwinCatIdent.DataProperties.i_AmsNetId
| private

AMS Net ID of target

## ◆ i_CheckPhaseOverflow

bool TwinCatIdent.DataProperties.i_CheckPhaseOverflow
| private

Check phase overflow

## ◆ i_ControlMode

eControlMode TwinCatIdent.DataProperties.i_ControlMode
| private

Control mode

## ◆ i_CountRepeat

UInt16 TwinCatIdent.DataProperties.i_CountRepeat
| private

Count of repeat one period of input signal

## ◆ i_DateTimeMd

DateTime TwinCatIdent.DataProperties.i_DateTimeMd
| private

Date and time created new class

## ◆ i_EnablePositionRangeCheck

bool TwinCatIdent.DataProperties.i_EnablePositionRangeCheck
| private

Enable position range check

## ◆ i_EnableTorqueRangeCheckIdent

bool TwinCatIdent.DataProperties.i_EnableTorqueRangeCheckIdent
| private

Enable torque range check during identification

## ◆ i_EnableTorqueRangeCheckStRes

bool TwinCatIdent.DataProperties.i_EnableTorqueRangeCheckStRes
| private

Enable torque range check during step response

## ◆ i_FeedConstant

double TwinCatIdent.DataProperties.i_FeedConstant
| private

Feed constant

## ◆ i_FreqAuxMove

double TwinCatIdent.DataProperties.i_FreqAuxMove
| private

Frequency of auxiliary movement in Hz (suppression of friction)

## ◆ i_IdInputSignal

int TwinCatIdent.DataProperties.i_IdInputSignal
| private

ID of input signal

## ◆ i_IsLinear

bool TwinCatIdent.DataProperties.i_IsLinear
| private

Is linear motor

## ◆ i_LengthInputSignal

uint TwinCatIdent.DataProperties.i_LengthInputSignal
| private

Lenght of input signal = number of samples of one period input signal

## ◆ i_LengthWindow

int TwinCatIdent.DataProperties.i_LengthWindow
| private

Length of window for computing BodePlot

## ◆ i_ModeSpectAnalys

eModeAnalysis TwinCatIdent.DataProperties.i_ModeSpectAnalys
| private

Mode of spectral analysis for computing BodePlot

## ◆ i_NameAxis

string TwinCatIdent.DataProperties.i_NameAxis
| private

Name of axis

## ◆ i_NameInputSignal

string TwinCatIdent.DataProperties.i_NameInputSignal
| private

Name of input signal

## ◆ i_Notes

string TwinCatIdent.DataProperties.i_Notes
| private

Notes

## ◆ i_OffsetIOdata

int TwinCatIdent.DataProperties.i_OffsetIOdata
| private

Offset of input/output data. If offset is positive input data are shifted forward. If offset is negative input data are shifted backward.

## ◆ i_PathExtGen

string TwinCatIdent.DataProperties.i_PathExtGen
| private

Path to external generator in PLC

## ◆ i_PeriodInputSignal

Double TwinCatIdent.DataProperties.i_PeriodInputSignal
| private

Period of input signal

## ◆ i_StepFinalLevel

double TwinCatIdent.DataProperties.i_StepFinalLevel
| private

Final level of step response [X]

## ◆ i_StepInitLevel

double TwinCatIdent.DataProperties.i_StepInitLevel
| private

Initial level of step response [X]

## ◆ i_StepPreTrigger

double TwinCatIdent.DataProperties.i_StepPreTrigger
| private

Pre-trigger time in step response [s]

## ◆ i_StepTime

double TwinCatIdent.DataProperties.i_StepTime
| private

Duration of step response [s]

## ◆ i_TaskTime

double TwinCatIdent.DataProperties.i_TaskTime
| private

Cycle time of PLC task

## ◆ i_Units

eUnits TwinCatIdent.DataProperties.i_Units
| private

Units

## ◆ i_vScale

double TwinCatIdent.DataProperties.i_vScale
| private

Scale for velocity

## ◆ i_xScale

double TwinCatIdent.DataProperties.i_xScale
| private

Scale for position

## Property Documentation

## ◆ AdsPort

int TwinCatIdent.DataProperties.AdsPort
| get set

Get/Set ADS Port of target

## ◆ AllowedPositionRange

double TwinCatIdent.DataProperties.AllowedPositionRange
| get set

Allowed position range

## ◆ AllowedTorqueRangeIdent

Int16 TwinCatIdent.DataProperties.AllowedTorqueRangeIdent
| get set

Allowed torque range during identification [°%]

## ◆ AllowedTorqueRangeStRes

Int16 TwinCatIdent.DataProperties.AllowedTorqueRangeStRes
| get set

Allowed torque range during step response [°%]

## ◆ AmplAuxMove

double TwinCatIdent.DataProperties.AmplAuxMove
| get set

Amplitude of auxiliary movement [X] (suppression of friction)

## ◆ AmplitudeInputSignal

double TwinCatIdent.DataProperties.AmplitudeInputSignal
| get set

Get/Set amplitude of input signal [X]

## ◆ AmsNetId

string TwinCatIdent.DataProperties.AmsNetId
| get set

Get/Set AMS NET ID of target

## ◆ CheckPhaseOverflow

bool TwinCatIdent.DataProperties.CheckPhaseOverflow
| get set

Get/Set check phase overflow over +/- 180 degrees

## ◆ ControlMode

eControlMode TwinCatIdent.DataProperties.ControlMode
| get set

Get/Set Control mode:

- NoneControl
- PositionControl
- TorqueControl
- VelocityControl

## ◆ CountRepeat

UInt16 TwinCatIdent.DataProperties.CountRepeat
| get set

Get/Set count repeat of sequence for indentification

## ◆ DateTimeMd

DateTime TwinCatIdent.DataProperties.DateTimeMd
| get set

Get/Set date ant time of measuring

## ◆ EnablePositionRangeCheck

bool TwinCatIdent.DataProperties.EnablePositionRangeCheck
| get set

Enable position range check

## ◆ EnableTorqueRangeCheckIdent

bool TwinCatIdent.DataProperties.EnableTorqueRangeCheckIdent
| get set

Enable torque range check during identification

## ◆ EnableTorqueRangeCheckStRes

bool TwinCatIdent.DataProperties.EnableTorqueRangeCheckStRes
| get set

Enable torque range check during step response

## ◆ FeedConstant

double TwinCatIdent.DataProperties.FeedConstant
| get set

Get/Set feed constant

## ◆ FreqAuxMove

double TwinCatIdent.DataProperties.FreqAuxMove
| get set

Frequency of auxiliary movement in Hz (suppression of friction)

## ◆ IdInputSignal

int TwinCatIdent.DataProperties.IdInputSignal
| get set

Get/Set ID of input signal for identification

## ◆ intControlMode

int TwinCatIdent.DataProperties.intControlMode
| get set

Get/Set Control mode: (conversion to/from int)

- NoneControl
- PositionControl
- TorqueControl
- VelocityControl

## ◆ intModeSpectAnalys

int TwinCatIdent.DataProperties.intModeSpectAnalys
| get set

Get/Set Mode of spectral analysis for computing BodePlot (conversion to/from int)

## ◆ intUnits

int TwinCatIdent.DataProperties.intUnits
| get set

Get/Set path into external generator in PLC (conversion to/from int)

## ◆ IsLinear

bool TwinCatIdent.DataProperties.IsLinear
| get set

Get/Set liner motor type

## ◆ LengthInputSignal

uint TwinCatIdent.DataProperties.LengthInputSignal
| get set

Get length of input signal (number samples of input signal)

## ◆ LengthWindow

int TwinCatIdent.DataProperties.LengthWindow
| get set

Get/Set Length of window for computing BodePlot

## ◆ ModeSpectAnalys

eModeAnalysis TwinCatIdent.DataProperties.ModeSpectAnalys
| get set

Get/Set Mode of spectral analysis for computing BodePlot

## ◆ NameAxis

string TwinCatIdent.DataProperties.NameAxis
| get set

Get/Set name of axis

## ◆ NameInputSignal

string TwinCatIdent.DataProperties.NameInputSignal
| get set

Get name of input signal for identification

## ◆ Notes

string TwinCatIdent.DataProperties.Notes
| get set

Get/Set Notes

## ◆ OffsetIOdata

int TwinCatIdent.DataProperties.OffsetIOdata
| get set

Offset of input/output data. If offset is positive input data are shifted forward. If offset is negative input data are shifted backward.

## ◆ PathExtGen

string TwinCatIdent.DataProperties.PathExtGen
| get set

Get path into external generator in PLC

## ◆ PeriodInputSignal

Double TwinCatIdent.DataProperties.PeriodInputSignal
| get set

Get/Set period of input signal in seconds[s]

## ◆ sAdsPort

string TwinCatIdent.DataProperties.sAdsPort
| get set

Get/Set ADS Port of target (conversion to/from string)

## ◆ sAllowedPositionRange

string TwinCatIdent.DataProperties.sAllowedPositionRange
| get set

Allowed position range X

## ◆ sAllowedTorqueRangeIdent

string TwinCatIdent.DataProperties.sAllowedTorqueRangeIdent
| get set

Allowed torque range during identification %

## ◆ sAllowedTorqueRangeStRes

string TwinCatIdent.DataProperties.sAllowedTorqueRangeStRes
| get set

Allowed torque range during identification %

## ◆ sAmplAuxMove

string TwinCatIdent.DataProperties.sAmplAuxMove
| get set

Amplitude of auxiliary movement X

## ◆ sAmplitudeInputSignal

string TwinCatIdent.DataProperties.sAmplitudeInputSignal
| get set

Get/Set amplitude of input signalX

## ◆ sCountRepeat

string TwinCatIdent.DataProperties.sCountRepeat
| get set

Get/Set count repeat of sequence for indentification (conversion to/from string)

## ◆ sDateTime

string TwinCatIdent.DataProperties.sDateTime
| get set

Get/Set date ant time of measuring (conversion to/from string)

## ◆ sFeedConstant

string TwinCatIdent.DataProperties.sFeedConstant
| get set

Get/Set feed constant (conversion to/from string)

## ◆ sFreqAuxMove

string TwinCatIdent.DataProperties.sFreqAuxMove
| get set

Amplitude of auxiliary movement X

## ◆ sLengthWindow

string TwinCatIdent.DataProperties.sLengthWindow
| get set

Get/Set length of window for computing BodePlot (conversion to/from string)

## ◆ sOffsetIOdata

string TwinCatIdent.DataProperties.sOffsetIOdata
| get set

Offset of input/output data. If offset is positive input data are shifted forward. If offset is negative input data are shifted backward. (conversion to/from string)

## ◆ sPeriodInputSignal

string TwinCatIdent.DataProperties.sPeriodInputSignal
| get set

Get/Set period of input signal in secondsms

## ◆ sStepFinalLevel

string TwinCatIdent.DataProperties.sStepFinalLevel
| get set

Get/Set final level of step response X

## ◆ sStepInitLevel

string TwinCatIdent.DataProperties.sStepInitLevel
| get set

Get/Set initial level of step response X

## ◆ sStepPreTrigger

string TwinCatIdent.DataProperties.sStepPreTrigger
| get set

Get/Set pre-trigger time of step response s

## ◆ sStepTime

string TwinCatIdent.DataProperties.sStepTime
| get set

Get/Set duration of step response s

## ◆ sTaskTime

string TwinCatIdent.DataProperties.sTaskTime
| get set

Get/Set cyclus time of PLC task ms

## ◆ StepFinalLevel

double TwinCatIdent.DataProperties.StepFinalLevel
| get set

Get/Set final level of step response [X]

## ◆ StepInitLevel

double TwinCatIdent.DataProperties.StepInitLevel
| get set

Get/Set initial level of step response [X]

## ◆ StepPreTrigger

double TwinCatIdent.DataProperties.StepPreTrigger
| get set

Get/Set pre-trigger time of step response [s]

## ◆ StepTime

double TwinCatIdent.DataProperties.StepTime
| get set

Get/Set duration of step response [s]

## ◆ svScale

string TwinCatIdent.DataProperties.svScale
| get set

Get/Set scale for velocity mode (conversion to/from string)

## ◆ sxScale

string TwinCatIdent.DataProperties.sxScale
| get set

Get/Set scale for position mode (conversion to/from string)

## ◆ TaskTime

double TwinCatIdent.DataProperties.TaskTime
| get set

Get/Set cyclus time of PLC task [s]

## ◆ Units

eUnits TwinCatIdent.DataProperties.Units
| get set

Get/Set path into external generator in PLC

## ◆ vScale

double TwinCatIdent.DataProperties.vScale
| get set

Get/Set scale for velocity mode

## ◆ xScale

double TwinCatIdent.DataProperties.xScale
| get set

Get/Set scale for position mode

The documentation for this class was generated from the following file:

- C:/Users/matusa.BECKHOFF/Documents/Indentifikacia sustav/System Identification WPF/SysIdentifi/SysIdentifi/TwinCatExtGen.cs